# Google Play Game Services Management API . achievements

## Instance Methods

Resets the achievement with the given ID. This method is only accessible to whitelisted tester accounts for your application.

Resets all achievements for the currently authenticated player for your application. This method is only accessible to whitelisted tester accounts for your application.

### Method Details

`reset(achievementId)`

    Resets the achievement with the given ID. This method is only accessible to whitelisted tester accounts for your application.

    Args:
      achievementId: string, The ID of the achievement used by this method. (required)

    Returns:
      An object of the form:

        { # This is a JSON template for an achievement reset response.
        "definitionId": "A String", # The ID of an achievement for which player state has been updated.
        "kind": "gamesManagement#achievementResetResponse", # Uniquely identifies the type of this resource. Value is always the fixed string gamesManagement#achievementResetResponse.
        "updateOccurred": True or False, # Flag to indicate if the requested update actually occurred.
        "currentState": "A String", # The current state of the achievement. This is the same as the initial state of the achievement.
            # Possible values are:
            # - "HIDDEN"- Achievement is hidden.
            # - "REVEALED" - Achievement is revealed.
            # - "UNLOCKED" - Achievement is unlocked.
      }

`resetAll()`

    Resets all achievements for the currently authenticated player for your application. This method is only accessible to whitelisted tester accounts for your application.

    Args:

    Returns:
      An object of the form:

        { # This is a JSON template for achievement reset all response.
        "kind": "gamesManagement#achievementResetAllResponse", # Uniquely identifies the type of this resource. Value is always the fixed string gamesManagement#achievementResetAllResponse.
        "results": [ # The achievement reset results.
          { # This is a JSON template for an achievement reset response.
            "definitionId": "A String", # The ID of an achievement for which player state has been updated.
            "kind": "gamesManagement#achievementResetResponse", # Uniquely identifies the type of this resource. Value is always the fixed string gamesManagement#achievementResetResponse.
            "updateOccurred": True or False, # Flag to indicate if the requested update actually occurred.
            "currentState": "A String", # The current state of the achievement. This is the same as the initial state of the achievement.
                # Possible values are:
                # - "HIDDEN"- Achievement is hidden.
                # - "REVEALED" - Achievement is revealed.
                # - "UNLOCKED" - Achievement is unlocked.
          },
        ],
      }